Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.DeflationSpaceType

class petsc4py.PETSc.PC.DeflationSpaceType

  Bases: `object`

  The deflation space subtype.

  Attributes Summary

  `AGGREGATION` | Constant `AGGREGATION` of type `int`
  `BIORTH22` | Constant `BIORTH22` of type `int`
  `DB16` | Constant `DB16` of type `int`
  `DB2` | Constant `DB2` of type `int`
  `DB4` | Constant `DB4` of type `int`
  `DB8` | Constant `DB8` of type `int`
  `HAAR` | Constant `HAAR` of type `int`
  `MEYER` | Constant `MEYER` of type `int`
  `USER` | Constant `USER` of type `int`

  Attributes Documentation

  AGGREGATION: int = AGGREGATION

    Constant `AGGREGATION` of type `int`

  BIORTH22: int = BIORTH22

    Constant `BIORTH22` of type `int`

  DB16: int = DB16

    Constant `DB16` of type `int`

  DB2: int = DB2

    Constant `DB2` of type `int`

  DB4: int = DB4

    Constant `DB4` of type `int`

  DB8: int = DB8

    Constant `DB8` of type `int`

  HAAR: int = HAAR

    Constant `HAAR` of type `int`

  MEYER: int = MEYER

    Constant `MEYER` of type `int`

  USER: int = USER

    Constant `USER` of type `int`